Visitor (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.classfile.Visitor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.classfile
Interface Visitor

All Known Implementing Classes:
  BCELifier, DescendingVisitor, EmptyVisitor, StringRepresentation

    public interface Visitor

Interface to make use of the Visitor pattern programming style. I.e. a class that implements this interface can traverse the contents of a Java class just by calling the `accept' method which all classes have.

Version:
  $Id: Visitor.java 386056 2006-03-15 11:31:56Z tcurdt $

Method Summary
`void` | `visitCode(Code obj)`
`void` | `visitCodeException(CodeException obj)`
`void` | `visitConstantClass(ConstantClass obj)`
`void` | `visitConstantDouble(ConstantDouble obj)`
`void` | `visitConstantFieldref(ConstantFieldref obj)`
`void` | `visitConstantFloat(ConstantFloat obj)`
`void` | `visitConstantInteger(ConstantInteger obj)`
`void` | `visitConstantInterfaceMethodref(ConstantInterfaceMethodref obj)`
`void` | `visitConstantLong(ConstantLong obj)`
`void` | `visitConstantMethodref(ConstantMethodref obj)`
`void` | `visitConstantNameAndType(ConstantNameAndType obj)`
`void` | `visitConstantPool(ConstantPool obj)`
`void` | `visitConstantString(ConstantString obj)`
`void` | `visitConstantUtf8(ConstantUtf8 obj)`
`void` | `visitConstantValue(ConstantValue obj)`
`void` | `visitDeprecated(Deprecated obj)`
`void` | `visitExceptionTable(ExceptionTable obj)`
`void` | `visitField(Field obj)`
`void` | `visitInnerClass(InnerClass obj)`
`void` | `visitInnerClasses(InnerClasses obj)`
`void` | `visitJavaClass(JavaClass obj)`
`void` | `visitLineNumber(LineNumber obj)`
`void` | `visitLineNumberTable(LineNumberTable obj)`
`void` | `visitLocalVariable(LocalVariable obj)`
`void` | `visitLocalVariableTable(LocalVariableTable obj)`
`void` | `visitMethod(Method obj)`
`void` | `visitSignature(Signature obj)`
`void` | `visitSourceFile(SourceFile obj)`
`void` | `visitStackMap(StackMap obj)`
`void` | `visitStackMapEntry(StackMapEntry obj)`
`void` | `visitSynthetic(Synthetic obj)`
`void` | `visitUnknown(Unknown obj)`

Method Detail

### visitCode

    void visitCode(Code obj)

### visitCodeException

    void visitCodeException(CodeException obj)

### visitConstantClass

    void visitConstantClass(ConstantClass obj)

### visitConstantDouble

    void visitConstantDouble(ConstantDouble obj)

### visitConstantFieldref

    void visitConstantFieldref(ConstantFieldref obj)

### visitConstantFloat

    void visitConstantFloat(ConstantFloat obj)

### visitConstantInteger

    void visitConstantInteger(ConstantInteger obj)

### visitConstantInterfaceMethodref

    void visitConstantInterfaceMethodref(ConstantInterfaceMethodref obj)

### visitConstantLong

    void visitConstantLong(ConstantLong obj)

### visitConstantMethodref

    void visitConstantMethodref(ConstantMethodref obj)

### visitConstantNameAndType

    void visitConstantNameAndType(ConstantNameAndType obj)

### visitConstantPool

    void visitConstantPool(ConstantPool obj)

### visitConstantString

    void visitConstantString(ConstantString obj)

### visitConstantUtf8

    void visitConstantUtf8(ConstantUtf8 obj)

### visitConstantValue

    void visitConstantValue(ConstantValue obj)

### visitDeprecated

    void visitDeprecated(Deprecated obj)

### visitExceptionTable

    void visitExceptionTable(ExceptionTable obj)

### visitField

    void visitField(Field obj)

### visitInnerClass

    void visitInnerClass(InnerClass obj)

### visitInnerClasses

    void visitInnerClasses(InnerClasses obj)

### visitJavaClass

    void visitJavaClass(JavaClass obj)

### visitLineNumber

    void visitLineNumber(LineNumber obj)

### visitLineNumberTable

    void visitLineNumberTable(LineNumberTable obj)

### visitLocalVariable

    void visitLocalVariable(LocalVariable obj)

### visitLocalVariableTable

    void visitLocalVariableTable(LocalVariableTable obj)

### visitMethod

    void visitMethod(Method obj)

### visitSignature

    void visitSignature(Signature obj)

### visitSourceFile

    void visitSourceFile(SourceFile obj)

### visitSynthetic

    void visitSynthetic(Synthetic obj)

### visitUnknown

    void visitUnknown(Unknown obj)

### visitStackMap

    void visitStackMap(StackMap obj)

### visitStackMapEntry

    void visitStackMapEntry(StackMapEntry obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.